## org.eclipse.jetty.plus.jaas.callback
Class RequestParameterCallback

    java.lang.Object
      org.eclipse.jetty.plus.jaas.callback.RequestParameterCallback

All Implemented Interfaces:
  javax.security.auth.callback.Callback

    public class RequestParameterCallback

extends java.lang.Object
implements javax.security.auth.callback.Callback

RequestParameterCallback Allows a JAAS callback handler to access any parameter from the j_security_check FORM. This means that a LoginModule can access form fields other than the j_username and j_password fields, and use it, for example, to authenticate a user.

Version:
  $Revision: 4780 $ $Date: 2009-03-17 16:36:08 +0100 (Tue, 17 Mar 2009) $

Constructor Summary
`RequestParameterCallback()`

Method Summary
`java.lang.String` `getParameterName()`
`java.util.List` `getParameterValues()`
`void` `setParameterName(java.lang.String name)`
`void` `setParameterValues(java.util.List values)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestParameterCallback

    public RequestParameterCallback()

Method Detail

### setParameterName

    public void setParameterName(java.lang.String name)

### getParameterName

    public java.lang.String getParameterName()

### setParameterValues

    public void setParameterValues(java.util.List values)

### getParameterValues

    public java.util.List getParameterValues()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.